MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028550Open CASCADE[OCCT] OCCT:Foundation Classespublic2017-03-13 23:182017-09-29 16:25
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028550: Foundation Classes - fix empty message passed to thrown exception
Descriptiongp_Dir throws exceptions in many cases, however message is always empty:
Standard_ConstructionError_Raise_if (D <= gp::Resolution(), "");

This makes description of unhandled exceptions (e.g. using Standard_Failure::GetMessageString()) non-informative.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0065319)
git (administrator)
2017-04-18 18:58

Branch CR28550 has been created by kgv.

SHA-1: a0ef376df24f684511862cfccaacb8b41fd61ad1


Detailed log of new commits:

Author: kgv
Date: Tue Apr 18 18:58:12 2017 +0300

    0028550: Foundation Classes - fix empty message passed to thrown exception
(0065320)
kgv (developer)
2017-04-18 18:59

Patch is ready for review.
(0065325)
abv (manager)
2017-04-19 09:48

Please remove exclamation signs at the end of exception messages. Also please replace "IsDone() should be checked before" by "no result" to indicate the reason of exception instead of referring to assumed way of misuse.
(0065327)
git (administrator)
2017-04-19 10:22

Branch CR28550_1 has been created by kgv.

SHA-1: 841c89efa453f57ace07e79d1baff35c75975baa


Detailed log of new commits:

Author: kgv
Date: Tue Apr 18 18:58:12 2017 +0300

    0028550: Foundation Classes - fix empty message passed to thrown exception
(0065328)
git (administrator)
2017-04-19 10:25

Branch CR28550_1 has been updated forcibly by kgv.

SHA-1: 4d3484a07fdd69b9199c5aa664fb79d77ddb2efb
(0065329)
kgv (developer)
2017-04-19 10:26

Remarks have been applied.
(0065340)
abv (manager)
2017-04-19 12:52

No remarks, please test
(0065380)
apv (tester)
2017-04-20 11:14

Dear BugMaster,

Branch CR28550_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 4d3484a07fdd69b9199c5aa664fb79d77ddb2efb

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1198

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 92277963 / 90727282 [+1.71%]
Total CPU difference: 19707.110000000313 / 19728.57000000033 [-0.11%]

Testing on Windows:
Total MEMORY difference: 57802591 / 57804189 [-0.00%]
Total CPU difference: 18331.989511998592 / 18136.473458698543 [+1.08%]
(0065919)
git (administrator)
2017-05-12 11:35

Branch CR28550 has been deleted by kgv.

SHA-1: a0ef376df24f684511862cfccaacb8b41fd61ad1
(0065920)
git (administrator)
2017-05-12 11:35

Branch CR28550_1 has been deleted by kgv.

SHA-1: 4d3484a07fdd69b9199c5aa664fb79d77ddb2efb

- Related Changesets
occt: master 2d2b3d53
Timestamp: 2017-04-18 15:58:12
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028550: Foundation Classes - fix empty message passed to thrown exception
mod - src/Adaptor2d/Adaptor2d_OffsetCurve.cxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_MultiPoint.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Algo.cxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Algo.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_OffsetAncestors.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_DraftAngle.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_0.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_1.cxx Diff ] File ]
mod - src/CPnts/CPnts_AbscissaPoint.lxx Diff ] File ]
mod - src/CPnts/CPnts_UniformDeflection.lxx Diff ] File ]
mod - src/GC/GC_MakeArcOfCircle.cxx Diff ] File ]
mod - src/GC/GC_MakeArcOfEllipse.cxx Diff ] File ]
mod - src/GC/GC_MakeArcOfHyperbola.cxx Diff ] File ]
mod - src/GC/GC_MakeArcOfParabola.cxx Diff ] File ]
mod - src/GC/GC_MakeCircle.cxx Diff ] File ]
mod - src/GC/GC_MakeConicalSurface.cxx Diff ] File ]
mod - src/GC/GC_MakeCylindricalSurface.cxx Diff ] File ]
mod - src/GC/GC_MakeEllipse.cxx Diff ] File ]
mod - src/GC/GC_MakeHyperbola.cxx Diff ] File ]
mod - src/GC/GC_MakeLine.cxx Diff ] File ]
mod - src/GC/GC_MakePlane.cxx Diff ] File ]
mod - src/GC/GC_MakeSegment.cxx Diff ] File ]
mod - src/GC/GC_MakeTrimmedCone.cxx Diff ] File ]
mod - src/GC/GC_MakeTrimmedCylinder.cxx Diff ] File ]
mod - src/gce/gce_MakeCirc.cxx Diff ] File ]
mod - src/gce/gce_MakeCirc2d.cxx Diff ] File ]
mod - src/gce/gce_MakeCone.cxx Diff ] File ]
mod - src/gce/gce_MakeCylinder.cxx Diff ] File ]
mod - src/gce/gce_MakeDir.cxx Diff ] File ]
mod - src/gce/gce_MakeDir2d.cxx Diff ] File ]
mod - src/gce/gce_MakeElips.cxx Diff ] File ]
mod - src/gce/gce_MakeElips2d.cxx Diff ] File ]
mod - src/gce/gce_MakeHypr.cxx Diff ] File ]
mod - src/gce/gce_MakeHypr2d.cxx Diff ] File ]
mod - src/gce/gce_MakeLin.cxx Diff ] File ]
mod - src/gce/gce_MakeLin2d.cxx Diff ] File ]
mod - src/gce/gce_MakeParab.cxx Diff ] File ]
mod - src/gce/gce_MakeParab2d.cxx Diff ] File ]
mod - src/gce/gce_MakePln.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeArcOfCircle.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeArcOfEllipse.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeArcOfHyperbola.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeArcOfParabola.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeCircle.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeEllipse.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeHyperbola.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeLine.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeParabola.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeSegment.cxx Diff ] File ]
mod - src/GCPnts/GCPnts_QuasiUniformAbscissa.pxx Diff ] File ]
mod - src/GCPnts/GCPnts_UniformAbscissa.pxx Diff ] File ]
mod - src/Geom/Geom_Direction.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_Direction.cxx Diff ] File ]
mod - src/Geom2dAdaptor/Geom2dAdaptor_Curve.cxx Diff ] File ]
mod - src/Geom2dAPI/Geom2dAPI_PointsToBSpline.cxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_Curve.cxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_PointsToBSpline.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert_1.cxx Diff ] File ]
mod - src/GeomInt/GeomInt_IntSS.lxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeAxis1Placement.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeAxis2Placement2d.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeAxis2Placement3d.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeBoundedCurve.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeBoundedSurface.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeBSplineCurveWithKnots.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeBSplineSurfaceWithKnots.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeCartesianPoint.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeCircle.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeConic.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeConicalSurface.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeCurve.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeCylindricalSurface.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeDirection.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeElementarySurface.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeEllipse.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeHyperbola.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeLine.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeParabola.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakePlane.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakePolyline.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeRectangularTrimmedSurface.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeSphericalSurface.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeSurface.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeSurfaceOfLinearExtrusion.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeSurfaceOfRevolution.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeSweptSurface.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeToroidalSurface.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeVector.cxx Diff ] File ]
mod - src/gp/gp_Circ.lxx Diff ] File ]
mod - src/gp/gp_Circ2d.lxx Diff ] File ]
mod - src/gp/gp_Cone.lxx Diff ] File ]
mod - src/gp/gp_Cylinder.lxx Diff ] File ]
mod - src/gp/gp_Dir.lxx Diff ] File ]
mod - src/gp/gp_Dir2d.lxx Diff ] File ]
mod - src/gp/gp_Elips.lxx Diff ] File ]
mod - src/gp/gp_Elips2d.lxx Diff ] File ]
mod - src/gp/gp_Hypr.lxx Diff ] File ]
mod - src/gp/gp_Hypr2d.lxx Diff ] File ]
mod - src/gp/gp_Mat.cxx Diff ] File ]
mod - src/gp/gp_Mat2d.cxx Diff ] File ]
mod - src/gp/gp_Parab.lxx Diff ] File ]
mod - src/gp/gp_Parab2d.lxx Diff ] File ]
mod - src/gp/gp_Sphere.lxx Diff ] File ]
mod - src/gp/gp_Torus.lxx Diff ] File ]
mod - src/gp/gp_Trsf.cxx Diff ] File ]
mod - src/gp/gp_Trsf2d.cxx Diff ] File ]
mod - src/gp/gp_Vec.lxx Diff ] File ]
mod - src/gp/gp_Vec2d.lxx Diff ] File ]
mod - src/gp/gp_XY.lxx Diff ] File ]
mod - src/gp/gp_XYZ.lxx Diff ] File ]
mod - src/IntWalk/IntWalk_PWalking.hxx Diff ] File ]
mod - src/LProp/LProp_CLProps.gxx Diff ] File ]
mod - src/math/math_Matrix.cxx Diff ] File ]
mod - src/math/math_Vector.cxx Diff ] File ]
mod - src/NCollection/NCollection_BaseSequence.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApproxOnPolarSurface.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ProjectedCurve.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ProjectOnPlane.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_Builder.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateEdge.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateEdgeLoop.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateFace.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslatePolyLoop.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateShell.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateVertex.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateVertexLoop.cxx Diff ] File ]
mod - src/TCollection/TCollection_Sequence.gxx Diff ] File ]
mod - src/TDocStd/TDocStd_XLinkIterator.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_Builder.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeBrepWithVoids.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeFacetedBrep.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeFacetedBrepAndBrepWithVoids.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeGeometricCurveSet.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeManifoldSolidBrep.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeShellBasedSurfaceModel.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeStepEdge.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeStepFace.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeStepVertex.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeStepWire.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_WireframeBuilder.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-03-13 23:18 kgv New Issue
2017-03-13 23:18 kgv Assigned To => abv
2017-03-13 23:18 kgv Relationship added related to 0028547
2017-04-18 18:58 kgv Summary Foundation Classes - gp_Dir throws exceptions without any message => Foundation Classes - fix empty message passed to thrown exception
2017-04-18 18:58 git Note Added: 0065319
2017-04-18 18:59 kgv Note Added: 0065320
2017-04-18 18:59 kgv Status new => resolved
2017-04-19 09:48 abv Note Added: 0065325
2017-04-19 09:48 abv Assigned To abv => kgv
2017-04-19 09:48 abv Status resolved => assigned
2017-04-19 10:22 git Note Added: 0065327
2017-04-19 10:25 git Note Added: 0065328
2017-04-19 10:26 kgv Note Added: 0065329
2017-04-19 10:26 kgv Assigned To kgv => abv
2017-04-19 10:26 kgv Status assigned => resolved
2017-04-19 12:52 abv Note Added: 0065340
2017-04-19 12:52 abv Assigned To abv => bugmaster
2017-04-19 12:52 abv Status resolved => reviewed
2017-04-19 13:20 apv Assigned To bugmaster => apv
2017-04-19 15:48 apv Test case number => Not needed
2017-04-20 11:14 apv Note Added: 0065380
2017-04-20 11:14 apv Assigned To apv => bugmaster
2017-04-20 11:14 apv Status reviewed => tested
2017-04-21 14:59 bugmaster Changeset attached => occt master 2d2b3d53
2017-04-21 14:59 bugmaster Status tested => verified
2017-04-21 14:59 bugmaster Resolution open => fixed
2017-05-12 11:35 git Note Added: 0065919
2017-05-12 11:35 git Note Added: 0065920
2017-09-29 16:20 aiv Fixed in Version => 7.2.0
2017-09-29 16:25 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker